import { Component } from '@angular/core';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  title = 'app works!';

  private gridOptions: IgGrid;
  private id: string;

  constructor() {

    this.id ='grid1';

    this.gridOptions = {
      autoCommit:true,
      dataSource: [
        { "ProductID": 1, "ProductName": "Chai", "UnitPrice": "18.0000", "UnitsInStock": 39 },
        { "ProductID": 2, "ProductName": "Chang", "UnitPrice": "19.0000", "UnitsInStock": 17 },
        { "ProductID": 3, "ProductName": "Aniseed Syrup", "UnitPrice": "10.0000", "UnitsInStock": 13 },
        { "ProductID": 4, "ProductName": "Chef Anton's Cajun Seasoning", "UnitPrice": "22.0000", "UnitsInStock": 53}
      ],
      width: "650px",
      height: "400px",
      autoGenerateColumns: false,
      columns: [
        { key: "ProductID", headerText: "Product ID", width:"50px", dataType:"number" },
        { key: "ProductName", headerText: "Name", width:"250px", dataType:"string" },
        { key: "UnitsInStock", headerText: "UnitsInStock", width:"250px", dataType:"string" },
        { key: "UnitPrice", headerText: "Unit Price", width:"100px", dataType:"number" }
      ],
      primaryKey: "ProductID",
    };
  }
}
